#!/bin/bash

#PS3="Please select a disk to partition:"
echo "Please select a disk to partition:"

IFS=$'\n'
disks=( $(lsblk -d | tail -n+2 | awk '{print $1" "$4}') )
declare -a disks
select disk in ${disks[*]}
do
echo "You have choosen $disk."
done

# Partitioning using sgdisk.

# Zap existing partition table:
sgdisk -Z /dev/sda

# Create 256M boot partition.
sgdisk -n 1:0:+256M /dev/sda

# Create system partition:
sgdisk -n 2:0:0 /dev/vda

wget https://gitlab.com/srtghn3657/simple-modern-and-secure-arch-linux-install/-/raw/master/00-keyboard.conf
cp ./00-keyboard.conf /etc/X11/xorg.conf.d/00-keyboard.conf
